From b43983634e614a9e67e5f3e523b00939761044b8 Mon Sep 17 00:00:00 2001
From: Josh <josh@glencoesoftware.com>
Date: Mon, 25 Jan 2010 12:01:00 +0100
Subject: [PATCH] ticket:1260 - Ice changes necessary for Ice 3.4

---
 components/blitz/resources/omero/API.ice           |    3 +-
 components/blitz/resources/omero/ServerErrors.ice  |    4 +-
 .../src/ome/services/blitz/impl/ProjectionI.java   |    4 +-
 .../ome/services/blitz/impl/RenderingEngineI.java  |    4 +-
 .../ome/services/blitz/impl/SharedResourcesI.java  |    4 +-
 .../services/blitz/util/CommonsLoggingAdapter.java |    4 +
 components/server/ivy.xml                          |    1 +
 .../src/ome/services/sharing/FreezeShareStore.java |  180 --------------------
 8 files changed, 14 insertions(+), 190 deletions(-)
 delete mode 100644 components/server/src/ome/services/sharing/FreezeShareStore.java

diff --git a/components/blitz/resources/omero/API.ice b/components/blitz/resources/omero/API.ice
index f7fd02e..e0efa1f 100644
--- a/components/blitz/resources/omero/API.ice
+++ b/components/blitz/resources/omero/API.ice
@@ -1081,7 +1081,6 @@ module omero {
              *
              * @see omero::grid::SharedResources
              **/
-	    ["deprecated:The SharedResources API is experimental"]
             omero::grid::SharedResources* sharedResources() throws ServerError;
 
             // General methods ------------------------------------------------
@@ -1168,7 +1167,7 @@ module omero {
 	     *
 	     * Specifically, the bit representing the 0-based index will be 1:
 	     *
-	     *        if (retval & 1<<idx == 1<<idx) { // not alive }
+	     *        if (retval & 1&lt;&lt;idx == 1&lt;&lt;idx) { // not alive }
 	     *
 	     * Except for fatal server or session errors, this method should never
 	     * throw an exception.
diff --git a/components/blitz/resources/omero/ServerErrors.ice b/components/blitz/resources/omero/ServerErrors.ice
index d3125aa..89d9857 100644
--- a/components/blitz/resources/omero/ServerErrors.ice
+++ b/components/blitz/resources/omero/ServerErrors.ice
@@ -175,8 +175,8 @@ module omero
   exception WrappedCreateSessionException extends Glacier2::CannotCreateSessionException
     {
       bool    concurrency;
-      long    backOff;    // Only used if ConcurrencyException
-      string  type;       // Ice static type information
+      long    backOff;    /* Only used if ConcurrencyException */
+      string  type;       /* Ice static type information */
     };
 
 
diff --git a/components/blitz/src/ome/services/blitz/impl/ProjectionI.java b/components/blitz/src/ome/services/blitz/impl/ProjectionI.java
index e8e0a95..d71f7db 100644
--- a/components/blitz/src/ome/services/blitz/impl/ProjectionI.java
+++ b/components/blitz/src/ome/services/blitz/impl/ProjectionI.java
@@ -43,7 +43,7 @@ public class ProjectionI
         throws ServerError
     {
         callInvokerOnRawArgs(__cb, __current, pixelsId, pixelsType, 
-                             algorithm.value(), tStart, tEnd, channelList, 
+                             algorithm.ordinal(), tStart, tEnd, channelList, 
                              stepping, zStart, zEnd, name);
     }
 
@@ -53,7 +53,7 @@ public class ProjectionI
             Current __current) throws ServerError
     {
         callInvokerOnRawArgs(__cb, __current, pixelsId, pixelsType, 
-                             algorithm.value(), timepoint, channelIndex, 
+                             algorithm.ordinal(), timepoint, channelIndex, 
                              stepping, start, end);
     }
 }
diff --git a/components/blitz/src/ome/services/blitz/impl/RenderingEngineI.java b/components/blitz/src/ome/services/blitz/impl/RenderingEngineI.java
index 129f830..185d35f 100644
--- a/components/blitz/src/ome/services/blitz/impl/RenderingEngineI.java
+++ b/components/blitz/src/ome/services/blitz/impl/RenderingEngineI.java
@@ -374,7 +374,7 @@ public class RenderingEngineI extends AbstractAmdServant implements
             AMD_RenderingEngine_renderProjectedAsPackedInt __cb, 
             ProjectionType algorithm, int timepoint, int stepping, int start, 
             int end, Current __current) throws ServerError {
-        callInvokerOnRawArgs(__cb, __current, algorithm.value(), timepoint, 
+        callInvokerOnRawArgs(__cb, __current, algorithm.ordinal(), timepoint, 
                 stepping, start, end);
 
     }
@@ -383,7 +383,7 @@ public class RenderingEngineI extends AbstractAmdServant implements
             AMD_RenderingEngine_renderProjectedCompressed __cb, 
             ProjectionType algorithm, int timepoint, int stepping, int start, 
             int end, Current __current) throws ServerError {
-        callInvokerOnRawArgs(__cb, __current, algorithm.value(), timepoint,
+        callInvokerOnRawArgs(__cb, __current, algorithm.ordinal(), timepoint,
                 stepping, start, end);
 
     }
diff --git a/components/blitz/src/ome/services/blitz/impl/SharedResourcesI.java b/components/blitz/src/ome/services/blitz/impl/SharedResourcesI.java
index dbfb260..f910df9 100644
--- a/components/blitz/src/ome/services/blitz/impl/SharedResourcesI.java
+++ b/components/blitz/src/ome/services/blitz/impl/SharedResourcesI.java
@@ -378,7 +378,7 @@ public class SharedResourcesI extends AbstractAmdServant implements
         } else {
             // Attempt to fix an odd timeout exception during register()
             repoPrx = RepositoryPrxHelper.checkedCast(__current.adapter
-                    .getCommunicator().stringToProxy(repoPrx.ice_toString()));
+                    .getCommunicator().stringToProxy(repoPrx.toString()));
         }
 
         Format omero_tables = new FormatI();
@@ -512,7 +512,7 @@ public class SharedResourcesI extends AbstractAmdServant implements
                 sf.control);
         Ice.Identity id = new Ice.Identity();
         id.category = current.id.name;
-        id.name = Ice.Util.generateUUID();
+        id.name = java.util.UUID.randomUUID().toString();
         Ice.ObjectPrx rv = sf.registerServant(current, id, ip);
         allow(rv);
         return InteractiveProcessorPrxHelper.uncheckedCast(rv);
diff --git a/components/blitz/src/ome/services/blitz/util/CommonsLoggingAdapter.java b/components/blitz/src/ome/services/blitz/util/CommonsLoggingAdapter.java
index bb6f860..d06c188 100644
--- a/components/blitz/src/ome/services/blitz/util/CommonsLoggingAdapter.java
+++ b/components/blitz/src/ome/services/blitz/util/CommonsLoggingAdapter.java
@@ -47,4 +47,8 @@ public class CommonsLoggingAdapter implements Logger {
         log.warn(message);
     }
 
+    public Logger cloneWithPrefix(java.lang.String unused) {
+        throw new UnsupportedOperationException("NYI");
+    }
+
 }
diff --git a/components/server/ivy.xml b/components/server/ivy.xml
index ee431d0..2bd18c6 100644
--- a/components/server/ivy.xml
+++ b/components/server/ivy.xml
@@ -19,6 +19,7 @@
     <!-- Ice -->
     <dependency org="omero" name="ice" rev="${versions.ice}"/>
     <dependency org="omero" name="ice-db" rev="${versions.ice}"/>
+    <dependency org="omero" name="ice-freeze" rev="${versions.ice}"/>
     <!-- j2ee replacements : jta, jndi, etc. -->
     <dependency org="geronimo-spec" name="geronimo-spec-jta" rev="1.0.1B-rc4"/>
     <dependency org="btm" name="btm" rev="${versions.btm}"/>
diff --git a/components/server/src/ome/services/sharing/FreezeShareStore.java b/components/server/src/ome/services/sharing/FreezeShareStore.java
deleted file mode 100644
index 7e7802c..0000000
--- a/components/server/src/ome/services/sharing/FreezeShareStore.java
+++ /dev/null
@@ -1,180 +0,0 @@
-/*
- *   Copyright 2008 Glencoe Software, Inc. All rights reserved.
- *   Use is subject to license terms supplied in LICENSE.txt
- */
-
-package ome.services.sharing;
-
-import java.io.File;
-import java.util.ArrayList;
-import java.util.HashMap;
-import java.util.List;
-import java.util.Map;
-import java.util.Set;
-
-import ome.api.IShare;
-import ome.model.IObject;
-import ome.model.meta.Share;
-import ome.services.sharing.data.ShareData;
-import ome.services.sharing.data.ShareItem;
-import ome.services.sharing.data.ShareItems;
-import ome.services.sharing.data.ShareMap;
-
-import org.springframework.util.Assert;
-
-/**
- * Entry to the Ice code generated data/ directory.
- * 
- * @author Josh Moore, josh at glencoesoftware.com
- * @since 3.0-Beta4
- * @see IShare
- */
-public class FreezeShareStore extends ShareStore {
-
-    final protected String envRoot;
-
-    final protected String envMap;
-
-    final protected String envItems;
-
-    final protected File envLocation;
-
-    final protected Freeze.Connection conn;
-
-    // Initialization/Destruction
-    // =========================================================================
-
-    public FreezeShareStore(String root, File location) {
-        Assert.notNull(root);
-        Assert.notNull(location);
-        this.envRoot = root;
-        this.envMap = root + "Map";
-        this.envItems = root + "Items";
-        this.envLocation = location;
-        conn = Freeze.Util.createConnection(ic, envLocation.getAbsolutePath());
-    }
-
-    @Override
-    public void doInit() {
-        ShareMap map = new ShareMap(conn, envMap, true);
-        map.close();
-        ShareItems items = new ShareItems(conn, envItems, true);
-        items.close();
-    }
-
-    // Overrides
-    // =========================================================================
-
-    @Override
-    public Long totalShares() {
-        ShareMap map = new ShareMap(conn, envMap, false);
-        try {
-            int mapsize = map.size();
-            return Long.valueOf(mapsize);
-        } finally {
-            map.close();
-        }
-    }
-
-    @Override
-    public Long totalSharedItems() {
-        ShareItems items = new ShareItems(conn, envItems, false);
-        try {
-            int itemssize = items.size();
-            return Long.valueOf(itemssize);
-        } finally {
-            items.close();
-        }
-    }
-
-    @Override
-    public <T extends IObject> boolean doContains(long sessionId, Class<T> kls,
-            long objId) {
-        throw new UnsupportedOperationException("NYI");
-    }
-
-    @Override
-    public void doClose() {
-        if (conn != null) {
-            Ice.Communicator ic = conn.getCommunicator();
-            try {
-                conn.close();
-            } catch (Exception e) {
-                log.error("Error closing store", e);
-            }
-        }
-    }
-
-    // User Methods
-    // =========================================================================
-
-    @Override
-    public void doSet(Share share, ShareData data, List<ShareItem> items) {
-        Freeze._TransactionOperationsNC tx = conn.beginTransaction();
-        ShareMap map = new ShareMap(conn, envMap, false);
-        ShareItems shareItems = new ShareItems(conn, envItems, false);
-        try {
-            map.put(data.id, data);
-            for (ShareItem shareItem : items) {
-                shareItems.put(shareItem.type + ":_" + shareItem.id, shareItem);
-            }
-        } catch (Exception e) {
-            tx.rollback();
-            tx = null;
-            throw new RuntimeException(e);
-        } finally {
-            if (tx != null) {
-                tx.commit();
-            }
-        }
-    }
-
-    @Override
-    public ShareData get(long id) {
-        throw new UnsupportedOperationException();
-    }
-
-    @Override
-    public List<ShareData> getShares(long userId, boolean own, boolean active) {
-        throw new UnsupportedOperationException();
-    }
-
-    @Override
-    public Set<Long> keys() {
-        ShareMap map = new ShareMap(conn, envMap, false);
-        return map.keySet();
-    }
-
-    // Helper Methods
-    // =========================================================================
-
-    private <T extends IObject> List<ShareItem> asItems(long share,
-            List<T> items, List<Long> members, List<String> guests) {
-        List<ShareItem> shareItems = new ArrayList<ShareItem>(items.size());
-        for (T item : items) {
-            ShareItem shareItem = new ShareItem();
-            shareItem.share = share;
-            shareItem.id = item.getId();
-            shareItem.type = item.getClass().getName();
-            shareItem.members = new ArrayList<Long>(members);
-            shareItem.guests = new ArrayList<String>(guests);
-            shareItems.add(shareItem);
-        }
-        return shareItems;
-    }
-
-    private <T extends IObject> Map<String, List<Long>> map(List<T> items) {
-        Map<String, List<Long>> map = new HashMap<String, List<Long>>();
-        for (T t : items) {
-            String kls = t.getClass().getName();
-            List<Long> ids = map.get(kls);
-            if (ids == null) {
-                ids = new ArrayList<Long>();
-                map.put(kls, ids);
-            }
-            ids.add(t.getId());
-        }
-        return map;
-    }
-
-}
-- 
1.7.3.4

